# Class PickPoint

java.lang.Object
javax.media.j3d.PickShape
javax.media.j3d.PickPoint

public final class PickPoint extends PickShape
Deprecated.
As of Java 3D version 1.4, use PickBounds with a BoundingSphere that has a small radius.
PickPoint is a pick shape defined as a single point. It can be used as an argument to the picking methods in BranchGroup and Locale.

See Also:
  - `BranchGroup.pickAll(PickShape)`
  - `Locale.pickAll(PickShape)`
  - `PickBounds`

## Constructor Summary

Constructors
Constructor
Description
`PickPoint()`
Deprecated.
Constructs a PickPoint using a default point.
`PickPoint(javax.vecmath.Point3d location)`
Deprecated.
Constructs a PickPoint from the specified parameter.

## Method Summary

Modifier and Type
Method
Description
`void`
`get(javax.vecmath.Point3d location)`
Deprecated.
Gets the position of this PickPoint.
`void`
`set(javax.vecmath.Point3d location)`
Deprecated.
Sets the position of this PickPoint to the specified value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PickPoint

public PickPoint()
Deprecated.
Constructs a PickPoint using a default point. The point is initialized to (0,0,0).

### PickPoint

public PickPoint(javax.vecmath.Point3d location)
Deprecated.
Constructs a PickPoint from the specified parameter.

Parameters:
  `location` - the pick point.

## Method Details

### set

public void set(javax.vecmath.Point3d location)
Deprecated.
Sets the position of this PickPoint to the specified value.

Parameters:
  `location` - the new pick point.

### get

public void get(javax.vecmath.Point3d location)
Deprecated.
Gets the position of this PickPoint.

Parameters:
  `location` - returns the current pick point.